{
  "lexicon": 1,
  "id": "space.polymodel.graph.list",
  "defs": {
    "main": {
      "type": "record",
      "key": "tid",
      "description": "A list of things (minimal metadata).",
      "record": {
        "type": "object",
        "properties": {
          "name": { "type": "string", "maxGraphemes": 64, "maxLength": 256 },
          "description": { "type": "string", "maxLength": 2000 },
          "avatar": { "type": "blob", "accept": ["image/png", "image/jpeg"], "maxSize": 1048576 },
          "purpose": { "type": "string" },
          "createdAt": { "type": "string", "format": "datetime" }
        },
        "required": ["name", "createdAt"]
      }
    }
  }
}
